std::shared_lock::swap(3)

NAME
std::shared_lock::swap - std::shared_lock::swap

Synopsis
   template< class Mutex > (since C++14)
   void swap( shared_lock<Mutex>& other ) noexcept;
   Exchanges the internal states of the lock objects.

Parameters
   other - the lock to swap the state with

Return value
   (none)

Example
    This section is incomplete
    Reason: no example

See also
   std::swap(std::shared_lock) specialization of std::swap for shared_lock
   (C++14) (function template)